--- old/usr/src/uts/common/syscall/lwp_sobj.c	2014-07-28 07:44:55.118818104 -0400
+++ new/usr/src/uts/common/syscall/lwp_sobj.c	2014-07-28 07:44:55.125008875 -0400
@@ -195,7 +195,7 @@
 				if ((addr = ent->lwpchan_uaddr) != NULL)
 					lwp_mutex_unregister(addr);
 				kmem_free(ent, sizeof (*ent));
-				atomic_add_32(&lcp->lwpchan_entries, -1);
+				atomic_dec_32(&lcp->lwpchan_entries);
 			} else {
 				prev = &ent->lwpchan_next;
 			}
@@ -468,7 +468,7 @@
 	ent->lwpchan_lwpchan = *lwpchan;
 	ent->lwpchan_next = hashbucket->lwpchan_chain;
 	hashbucket->lwpchan_chain = ent;
-	atomic_add_32(&lcp->lwpchan_entries, 1);
+	atomic_inc_32(&lcp->lwpchan_entries);
 	mutex_exit(&hashbucket->lwpchan_lock);
 	return (1);
 }
